libalpm_files(3)

NAME
libalpm_files - Files

 - Functions for package files

SYNOPSIS

  Data Structures
struct alpm_file_t
File in a package.
struct alpm_filelist_t
Package filelist container.
struct alpm_backup_t
Local package or package file backup entry.

  Functions
alpm_file_t * alpm_filelist_contains (const alpm_filelist_t *filelist, const char *path)
Determines whether a package filelist contains a given path.

Detailed Description

Functions for package files

Data Structure Documentation

struct alpm_file_t

File in a package.

Data Fields:
    mode_t mode The file's permissions.

    char * name Name of the file.

    off_t size Size of the file.

struct alpm_filelist_t

Package filelist container.

Data Fields:
    size_t count Amount of files in the array.

    alpm_file_t * files An array of files.

struct alpm_backup_t

Local package or package file backup entry.

Data Fields:
    char * hash Hash of the filename (used internally)

    char * name Name of the file (without .pacsave extension)

Function Documentation

  alpm_file_t * alpm_filelist_contains (const alpm_filelist_t * filelist, const char * path)

Determines whether a package filelist contains a given path. The provided path should be relative to the install root with no leading slashes, e.g. "etc/localtime". When searching for directories, the path must have a trailing slash.

Parameters
    filelist a pointer to a package filelist
    path the path to search for in the package

Returns
    a pointer to the matching file or NULL if not found

Author

Generated automatically by Doxygen for libalpm from the source code.